Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface BookInstanceControl

    public interface BookInstanceControl

A custom control interface used to interact with BookInstances.

Method Summary
`void` | `addNavigable(com.bea.netuix.application.identifier.NavigableDefinitionId navigableToAddId, int position, com.bea.netuix.application.identifier.BookInstanceId parentBookId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Adds a child page or book (a navigable) to the specified book.
`com.bea.netuix.application.instance.BookInstance` | `getBookInstance(com.bea.netuix.application.identifier.BookInstanceId id, com.bea.portal.tools.common.ResourceContext context)` Returns the `BookInstance` of the specified book instance id.
`com.bea.netuix.application.view.BookView` | `getBookView(com.bea.netuix.application.identifier.BookInstanceId id, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Returns the `BookView` of the specified book.
`void` | `moveNavigable(com.bea.netuix.application.identifier.NavigableInstanceId navigableToMoveId, int position, com.bea.netuix.application.identifier.BookInstanceId fromParentBookId, com.bea.netuix.application.identifier.BookInstanceId toParentBookId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Moves a child book or page (a navigable) within the specified book.
`void` | `removeNavigable(com.bea.netuix.application.identifier.NavigableInstanceId navigableToRemoveId, com.bea.netuix.application.identifier.BookInstanceId parentBookId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Removes a child book or page (a navigable) from the specified book.
`com.bea.netuix.application.identifier.BookInstanceId` | `rename(String title, com.bea.netuix.application.identifier.BookInstanceId parentBookId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Resets the title of the book instance.
`void` | `setDefaultNavigable(com.bea.netuix.application.identifier.NavigableInstanceId navigableId, com.bea.netuix.application.identifier.BookInstanceId bookId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Sets the default navigable for a book.
`com.bea.netuix.application.identifier.BookInstanceId` | `updateThemeAndMenu(com.bea.netuix.application.identifier.MenuDefinitionId menuId, com.bea.netuix.application.identifier.ThemeDefinitionId themeId, com.bea.netuix.application.identifier.BookInstanceId bookId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Updates the appearance of a book.

Method Detail

### getBookView

    com.bea.netuix.application.view.BookView getBookView(com.bea.netuix.application.identifier.BookInstanceId id,
                                                         String webApp,
                                                         com.bea.netuix.application.identifier.PortalPath portalPath,
                                                         com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                         com.bea.portal.tools.common.ResourceContext context)
                                                         throws com.bea.portal.tools.common.exceptions.ToolsException

  Returns the `BookView` of the specified book. BookView's include the object's children unlike instances and definitions.

  Parameters
    `id` - the ID of the book to retrieve the view for.
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context.
  Returns
    a BookView object. (immutable "deep" view of a book)
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getBookInstance

    com.bea.netuix.application.instance.BookInstance getBookInstance(com.bea.netuix.application.identifier.BookInstanceId id,
                                                                     com.bea.portal.tools.common.ResourceContext context)
                                                                     throws com.bea.portal.tools.common.exceptions.ToolsException

  Returns the `BookInstance` of the specified book instance id.

  Parameters
    `id` - the ID of the book instance to retrieve
    `context` - the resource context.
  Returns
    The `BookInstance` object associated with the BookInstanceId.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### updateThemeAndMenu

    com.bea.netuix.application.identifier.BookInstanceId updateThemeAndMenu(com.bea.netuix.application.identifier.MenuDefinitionId menuId,
                                                                            com.bea.netuix.application.identifier.ThemeDefinitionId themeId,
                                                                            com.bea.netuix.application.identifier.BookInstanceId bookId,
                                                                            String webApp,
                                                                            com.bea.netuix.application.identifier.PortalPath portalPath,
                                                                            com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                                            com.bea.portal.tools.common.ResourceContext context)
                                                                            throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                   com.bea.netuix.application.exception.NotEntitledException,
                                                                                   com.bea.netuix.application.exception.ObjectNotFoundException

  Updates the appearance of a book.

  Parameters
    `menuId` - the id of the menu to associate with the book. If `null`, no menu is associated with the book.
    `themeId` - the id of the theme to associate with the book. If `null`, no theme is associated with the book.
    `bookId` - the id of the book to update
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    the new book id of the resource
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### addNavigable

    void addNavigable(com.bea.netuix.application.identifier.NavigableDefinitionId navigableToAddId,
                      int position,
                      com.bea.netuix.application.identifier.BookInstanceId parentBookId,
                      String webApp,
                      com.bea.netuix.application.identifier.PortalPath portalPath,
                      com.bea.netuix.application.identifier.DesktopPath desktopPath,
                      com.bea.portal.tools.common.ResourceContext context)
                      throws com.bea.portal.tools.common.exceptions.ToolsException,
                             com.bea.netuix.application.exception.NotEntitledException,
                             com.bea.netuix.application.exception.ObjectNotFoundException,
                             com.bea.netuix.application.exception.MissingDataException,
                             com.bea.netuix.application.exception.DuplicateObjectException,
                             com.bea.netuix.application.exception.IllegalDependencyException

  Adds a child page or book (a navigable) to the specified book.

  Parameters
    `navigableToAddId` - the id of the page or book to add
    `position` - the position of the child within the book
    `parentBookId` - the ID of the book to add the navigable to
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`
    `com.bea.netuix.application.exception.MissingDataException`
    `com.bea.netuix.application.exception.DuplicateObjectException`
    `com.bea.netuix.application.exception.IllegalDependencyException`

### moveNavigable

    void moveNavigable(com.bea.netuix.application.identifier.NavigableInstanceId navigableToMoveId,
                       int position,
                       com.bea.netuix.application.identifier.BookInstanceId fromParentBookId,
                       com.bea.netuix.application.identifier.BookInstanceId toParentBookId,
                       String webApp,
                       com.bea.netuix.application.identifier.PortalPath portalPath,
                       com.bea.netuix.application.identifier.DesktopPath desktopPath,
                       com.bea.portal.tools.common.ResourceContext context)
                       throws com.bea.portal.tools.common.exceptions.ToolsException,
                              com.bea.netuix.application.exception.NotEntitledException,
                              com.bea.netuix.application.exception.ObjectNotFoundException,
                              com.bea.netuix.application.exception.IllegalDependencyException

  Moves a child book or page (a navigable) within the specified book.

  Parameters
    `navigableToMoveId` - the id of the page or book to move
    `position` - the new position of the child within the book
    `fromParentBookId` - the ID of the book to move the navigable from
    `toParentBookId` - the ID of the book to move the navigable to
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`
    `com.bea.netuix.application.exception.IllegalDependencyException`

### rename

    com.bea.netuix.application.identifier.BookInstanceId rename(String title,
                                                                com.bea.netuix.application.identifier.BookInstanceId parentBookId,
                                                                String webApp,
                                                                com.bea.netuix.application.identifier.PortalPath portalPath,
                                                                com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                                com.bea.portal.tools.common.ResourceContext context)
                                                                throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                       com.bea.netuix.application.exception.NotEntitledException,
                                                                       com.bea.netuix.application.exception.ObjectNotFoundException,
                                                                       com.bea.netuix.application.exception.MissingDataException

  Resets the title of the book instance.

  Parameters
    `title` - the new title for the book instance
    `parentBookId` - the ID of the book to rename
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context.
  Returns
    the new book instance ID
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`
    `com.bea.netuix.application.exception.MissingDataException`

### removeNavigable

    void removeNavigable(com.bea.netuix.application.identifier.NavigableInstanceId navigableToRemoveId,
                         com.bea.netuix.application.identifier.BookInstanceId parentBookId,
                         String webApp,
                         com.bea.netuix.application.identifier.PortalPath portalPath,
                         com.bea.netuix.application.identifier.DesktopPath desktopPath,
                         com.bea.portal.tools.common.ResourceContext context)
                         throws com.bea.portal.tools.common.exceptions.ToolsException,
                                com.bea.netuix.application.exception.NotEntitledException,
                                com.bea.netuix.application.exception.ObjectNotFoundException,
                                com.bea.netuix.application.exception.MissingDataException

  Removes a child book or page (a navigable) from the specified book.

  Parameters
    `navigableToRemoveId` - the id of the page or book to remove
    `parentBookId` - the ID of the book to remove the navigable from
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`
    `com.bea.netuix.application.exception.MissingDataException`

### setDefaultNavigable

    void setDefaultNavigable(com.bea.netuix.application.identifier.NavigableInstanceId navigableId,
                             com.bea.netuix.application.identifier.BookInstanceId bookId,
                             String webApp,
                             com.bea.netuix.application.identifier.PortalPath portalPath,
                             com.bea.netuix.application.identifier.DesktopPath desktopPath,
                             com.bea.portal.tools.common.ResourceContext context)
                             throws com.bea.portal.tools.common.exceptions.ToolsException,
                                    com.bea.netuix.application.exception.NotEntitledException,
                                    com.bea.netuix.application.exception.ObjectNotFoundException

  Sets the default navigable for a book. The page or book specified will be the first one rendered when the parent book is displayed.

  Parameters
    `navigableId` - the id of the page or book that will be the default
    `bookId` - the id of the book to set the default navigable for.
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved